Index: tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/editors/ReferencerEditor.java
===================================================================
--- tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/editors/ReferencerEditor.java	(revision 771)
+++ tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/editors/ReferencerEditor.java	(revision 772)
@@ -46,6 +46,7 @@
 import org.eclipse.swt.widgets.Button;
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Display;
+import org.eclipse.swt.widgets.Label;
 import org.eclipse.swt.widgets.TableColumn;
 import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.results.Parameter;
@@ -153,12 +154,19 @@
 		Composite paramArea = getCommandParametersGroup();
 		paramArea.setLayout(new GridLayout(3, false));
 		
-		querywidget = new QueryWidget(paramArea, SWT.None);
+		getMinimalParametersComposite().getLayout().numColumns = 3;
+		getMinimalParametersComposite().setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
+		
+		Label queryLabel = new Label(getMinimalParametersComposite(), SWT.NONE);
+		queryLabel.setText(TXMUIMessages.CreateSubcorpusDialog_10);
+		queryLabel.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, false, false));
+		
+		querywidget = new QueryWidget(getMinimalParametersComposite(), SWT.None);
 		querywidget.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, true, false));
 		querywidget.addKeyListener(computeKeyListener);
 
 		// [Edit]
-		propertiesSelector = new PropertiesSelector<Property>(paramArea, SWT.NONE);
+		propertiesSelector = new PropertiesSelector<Property>(getMinimalParametersComposite(), SWT.NONE);
 		propertiesSelector.setMaxPropertyNumber(1);
 		propertiesSelector.setLayoutData(new GridData(GridData.FILL, GridData.FILL,
 				false, false));
@@ -166,32 +174,33 @@
 		propertiesSelector.addSelectionListener(computeSelectionListener);
 		
 		// [Search]
-		Button go = new Button(paramArea, SWT.PUSH);
-		go.setText(TXMUIMessages.SEARCH);
-		go.setLayoutData(new GridData(GridData.FILL, GridData.FILL,
-				false, false));
-		Font f = go.getFont();
-		FontData defaultFont = f.getFontData()[0];
-		defaultFont.setStyle(SWT.BOLD);
-		Font newf = new Font(go.getDisplay(), defaultFont);
-		go.setFont(newf);
+//		Button go = new Button(paramArea, SWT.PUSH);
+//		go.setText(TXMUIMessages.SEARCH);
+//		go.setLayoutData(new GridData(GridData.FILL, GridData.FILL,
+//				false, false));
+//		Font f = go.getFont();
+//		FontData defaultFont = f.getFontData()[0];
+//		defaultFont.setStyle(SWT.BOLD);
+//		Font newf = new Font(go.getDisplay(), defaultFont);
+//		go.setFont(newf);
+//
+//		go.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, false, false));
+//		go.addSelectionListener(computeSelectionListener);
 
-		go.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, false, false));
-		go.addSelectionListener(computeSelectionListener);
-
 		// [pattern : ... ]
 		patternArea = new PropertiesSelector<StructuralUnitProperty>(paramArea, SWT.NONE);
 		patternArea.setLayoutData(new GridData(GridData.FILL, GridData.FILL, false, false,3,1));
 		patternArea.setLayout(new GridLayout(3, false));
 		patternArea.setTitle(ReferencerUIMessages.ReferencerEditor_6);
 		patternArea.addSelectionListener(computeSelectionListener);
-
 		
 		
 		//pagination
 		GLComposite navigationComposite = getBottomToolbar().installGLComposite("navigation", 1, false);
-		navigationArea = new NavigationWidget(navigationComposite, SWT.None);
-		navigationArea.setLayoutData(new GridData(GridData.FILL, GridData.FILL,	false, false));
+		navigationComposite.setLayoutData(new GridData(GridData.FILL, GridData.FILL,	true, false));
+		
+		navigationArea = new NavigationWidget(navigationComposite, SWT.BORDER);
+		navigationArea.setLayoutData(new GridData(GridData.CENTER, GridData.FILL,	true, false));
 
 		navigationArea.addFirstListener(new SelectionListener() {
 			@Override
Index: tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RVariablesView.java
===================================================================
--- tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RVariablesView.java	(revision 771)
+++ tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RVariablesView.java	(revision 772)
@@ -359,26 +359,27 @@
 				return IImageKeys.getImage(IImageKeys.CORPUS);
 			else if (element instanceof Partition)
 				return IImageKeys.getImage(IImageKeys.PARTITION);
-			else if (element instanceof Lexicon)
-				return IImageKeys.getImage(IImageKeys.ACTION_FREQUENCY_LIST);
-			else if (element instanceof Index)
-				return IImageKeys.getImage(IImageKeys.ACTION_INDEX);
-			else if (element instanceof Specificities)
-				return IImageKeys.getImage(IImageKeys.ACTION_SPECIFICITIES);
-			else if (element instanceof Concordance)
-				return IImageKeys.getImage(IImageKeys.ACTION_CONCORDANCES);
-			else if (element instanceof Cooccurrence)
-				return IImageKeys.getImage(IImageKeys.ACTION_COOCCURRENCE);
-			else if (element instanceof LexicalTable)
-				return IImageKeys.getImage(IImageKeys.LEXICALTABLE);
-			else if (element instanceof CA)
-				return IImageKeys.getImage(IImageKeys.ACTION_CORRESPONDANCE_ANALYSIS);
-			else if (element instanceof AHC)
-				return IImageKeys.getImage(IImageKeys.ACTION_CAH);
-			else if (element instanceof Referencer)
-				return IImageKeys.getImage(IImageKeys.ACTION_REFERENCER);
-			else if (element instanceof Progression)
-				return IImageKeys.getImage(IImageKeys.ACTION_PROGRESSION);
+//			else if (element instanceof Lexicon)
+//				return IImageKeys.getImage(IImageKeys.ACTION_FREQUENCY_LIST);
+//			else if (element instanceof Index)
+//				return IImageKeys.getImage(IImageKeys.ACTION_INDEX);
+//			else if (element instanceof Specificities)
+//				return IImageKeys.getImage(IImageKeys.ACTION_SPECIFICITIES);
+//			else if (element instanceof Concordance)
+//				return IImageKeys.getImage(IImageKeys.ACTION_CONCORDANCES);
+//			else if (element instanceof Cooccurrence)
+//				return IImageKeys.getImage(IImageKeys.ACTION_COOCCURRENCE);
+//			else if (element instanceof LexicalTable)
+//				return IImageKeys.getImage(IImageKeys.LEXICALTABLE);
+//			else if (element instanceof CA)
+//				return IImageKeys.getImage(IImageKeys.ACTION_CORRESPONDANCE_ANALYSIS);
+//			else if (element instanceof AHC)
+//				return IImageKeys.getImage(IImageKeys.ACTION_CAH);
+//			else if (element instanceof Referencer)
+//				return IImageKeys.getImage(IImageKeys.ACTION_REFERENCER);
+//			else if (element instanceof Progression)
+//				return IImageKeys.getImage(IImageKeys.ACTION_PROGRESSION);
+			
 			return null;
 		}
 	}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/IImageKeys.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/IImageKeys.java	(revision 771)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/IImageKeys.java	(revision 772)
@@ -46,9 +46,6 @@
 	/** The images. */
 	private static HashMap<String, Image> images = new HashMap<String, Image>();
 	
-	/** The Constant ACTION_REFERENCER. */
-	public static final String ACTION_REFERENCER = "icons/functions/Referencer.png"; //$NON-NLS-1$
-	
 	/** The Constant ACTION_CONCORDANCES. */
 	public static final String ACTION_CONCORDANCES = "icons/functions/Concordances.png"; //$NON-NLS-1$
 	public static final String CONCORDANCE_DELETE = "icons/functions/Concordances_delete_line.png"; //$NON-NLS-1$
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/input/ImportFormEditorInput.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/input/ImportFormEditorInput.java	(revision 771)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/input/ImportFormEditorInput.java	(revision 772)
@@ -61,7 +61,7 @@
 	@Override
 	public ImageDescriptor getImageDescriptor() {
 		return AbstractUIPlugin.imageDescriptorFromPlugin(
-				Application.PLUGIN_ID, IImageKeys.ACTION_REFERENCER);
+				Application.PLUGIN_ID, IImageKeys.CORPUS);
 	}
 
 	/* (non-Javadoc)
Index: tmp/org.txm.groovy.core/src/java/org/kohsuke/args4j/Starter.java
===================================================================
--- tmp/org.txm.groovy.core/src/java/org/kohsuke/args4j/Starter.java	(revision 771)
+++ tmp/org.txm.groovy.core/src/java/org/kohsuke/args4j/Starter.java	(revision 772)
@@ -32,7 +32,6 @@
 			System.err.println("The system property '" 
 					+ PARAMETER_NAME
 					+ "' must contain the classname to start.");
-			System.exit(-1);
 		}
 		
 		try {
Index: tmp/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/cli/Convert.java
===================================================================
--- tmp/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/cli/Convert.java	(revision 771)
+++ tmp/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/cli/Convert.java	(revision 772)
@@ -80,7 +80,7 @@
                     + "or [options] -o output-format input-file [input-file...]";
             HelpFormatter helpFormatter = new HelpFormatter();
             helpFormatter.printHelp(syntax, OPTIONS);
-            System.exit(STATUS_INVALID_ARGUMENTS);
+//            System.exit(STATUS_INVALID_ARGUMENTS);
         }
 
         DocumentFormatRegistry registry;
Index: tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java
===================================================================
--- tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java	(revision 771)
+++ tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java	(revision 772)
@@ -245,12 +245,15 @@
 
 		queryArea.setLayout(new GridLayout(3, false));
 
-		Label queryLabel = new Label(queryArea, SWT.NONE);
+		getMinimalParametersComposite().getLayout().numColumns = 3;
+		getMinimalParametersComposite().setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
+		
+		Label queryLabel = new Label(getMinimalParametersComposite(), SWT.NONE);
 		queryLabel.setText(TXMCoreMessages.common_query);
 		queryLabel.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, true));
 
 		// [ (v)]
-		queryWidget = new AssistedQueryWidget(queryArea, SWT.DROP_DOWN, this.cooc.getCorpus());
+		queryWidget = new AssistedQueryWidget(getMinimalParametersComposite(), SWT.DROP_DOWN, this.cooc.getCorpus());
 		GridData layoutData = new GridData(GridData.VERTICAL_ALIGN_CENTER);
 		layoutData.horizontalAlignment = GridData.FILL;
 		layoutData.grabExcessHorizontalSpace = true;
